Skip to main content
GET
Get all liquidity positions by account id

Headers

x-api-key
string
default:875e1017-87b8-4b12-8301-6aa1f1aa073b
required

API key for authentication. The demo api key provided is globally rate limited. Do not use in production.

Path Parameters

accountId
string
required

Hedera account id (shard.realm.num)

Example:

"0.0.12345"

Response

200 - application/json

Successful response

tokenSN
integer
required

NFT serial number representing user's position

Example:

160

accountId
string
required

Hedera account id (shard.realm.num)

Example:

"0.0.12345"

deleted
boolean
required

True if this position was deleted otherwise false

Example:

false

createdAt
string
required

Unix timestamp when this position was created

Example:

"1697779560.762467685"

updatedAt
string
required

Unix timestamp when this position was updated

Example:

"1698287867.747005303"

token0
object
required
Example:
token1
object
required
Example:
fee
integer
required

Swap fee tier denoted in basis points

Example:

3000

tickUpper
integer
required

Upper end of the position's price range

Example:

-1620

tickLower
integer
required

Lower end of the position's price range

Example:

-2820

liquidity
string
required

The amount of liquidity provided by the position

Example:

"3249809842"

feeGrowthInside0LastX128
string
required

Accumulated fee growth for token0 inside the tick range since the last time liquidity was added or removed

Example:

"2546890053379859378523505791149585"

feeGrowthInside1LastX128
string
required

Accumulated fee growth for token1 inside the tick range since the last time liquidity was added or removed

Example:

"1232345435623984092384092380932840"

tokensOwed0
string
required

Total amount of token0 owed to the position due to fees generated from swaps within the position's price range

Example:

"10"

tokensOwed1
string
required

Total amount of token1 owed to the position due to fees generated from swaps within the position's price range

Example:

"20"